Subject: bug#50880: Add "Contributing to Emacs" help command (see C-h C-h)

From: Richard Stallman <[email-masked]>
Date: Sat, 02 Oct 2021 19:17:35 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > >> C-h g -> About the GNU project
  > > >> C-h G -> Emacs copying permission (GNU General Public License)
  > > >> C-h C-c -> Contributing

  > > > IMO the best proposal so far, but Lars didn't want to move the GPL
  > > > from 'C-h C-c' so that part unfortunately makes it a non-starter.
  > > 
  > > I'm not dead set against it -- it's not like these are commands that
  > > people use heavily.  But that cuts the other way, too -- making this new
  > > command mnemonic isn't really that important, either, since I'd assume
  > > that people would be accessing them via `C-h C-h' and then paging down,
  > > entering whatever key it says they should use.  I.e., nobody's
  > > remembering these keystrokes anyway.
  > > 
  > > Perhaps Eli has an opinion here?

  > How about not giving it a key binding at all?  Why is a key binding
  > important in this case?  It's not like people will want to read that
  > section twice a day.

I agree.  Given that key bindings are somewhat scarce, it's good
to avoid using them up for commands that don't really need one.

However, it may be necessary to give it a key binding
so it can appear in the Help menu.  And having it appear there
is useful.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)